import express from 'express';

// Route imports
import testRoute from './test.js';
import csvImportRoute from './import/csvImport.js';
import categoryManager from './categoryManager.js';
import storageManager from './storageManager.js';
import startpageRoute from './startpage.js';

// Router base is '/manage'
const Router = express.Router({ strict: false });

Router.route('/test').get(testRoute.get);

Router.use('/categories', categoryManager); // TODO: Needs refactoring to new route format.
Router.route('/storages').get(storageManager.get);
Router.route('/import/csv').get(csvImportRoute.get).post(csvImportRoute.post);
Router.route('/').get(startpageRoute.get);

export default Router;
